Debian Bug report logs - #246992
arch all package available before arch any dependancy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Sun, 2 May 2004 17:33:04 UTC

Owned by: Torsten Werner <twerner@debian.org>

Severity: wishlist

Done: Torsten Werner <email@twerner42.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#246992; Package subversion-tools. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: subversion-tools: can't be installed (dependency problem)
Date: Sun, 2 May 2004 19:27:38 +0200
Package: subversion-tools
Version: 1.0.2-4
Severity: grave
Justification: renders package unusable

greux:/home/lefevre# apt-get install subversion-tools
[...]
The following packages have unmet dependencies:
  subversion-tools: Depends: python2.3-subversion (= 1.0.2-4) but 1.0.2-2 is to be installed
                    Depends: subversion (= 1.0.2-4) but 1.0.2-2 is to be installed
E: Broken packages

subversion-tools 1.0.2-3 doesn't exist and the latest version of
python2.3-subversion and subversion is 1.0.2-3. Another consequence
is that subversion-tools is removed if subversion is upgraded.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1

Versions of packages subversion-tools depends on:
[removed as I had to change the "Version:" string manually above]

-- no debconf information



Information stored:
Bug#246992; Package subversion-tools. Full text and rfc822 format available.

Acknowledgement sent to David Kimdon <david@kimdon.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 246992-quiet@bugs.debian.org (full text, mbox):

From: David Kimdon <david@kimdon.org>
To: Vincent Lefevre <vincent@vinc17.org>, 246992-quiet@bugs.debian.org
Subject: Re: Bug#246992: subversion-tools: can't be installed (dependency problem)
Date: Sun, 2 May 2004 20:02:32 +0200
The problem is that the autobuilds haven't caught up.  I actually
uploaded 1.0.2-5 today.  This problem will go away in a few days.

-David



Information forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#246992; Package subversion-tools. Full text and rfc822 format available.

Acknowledgement sent to GCS <gcs@lsc.hu>:
Extra info received and forwarded to list. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #15 received at 246992@bugs.debian.org (full text, mbox):

From: GCS <gcs@lsc.hu>
To: 246992@bugs.debian.org
Subject: Re: Bug#246992: subversion-tools: can't be installed (dependency problem)
Date: Sun, 2 May 2004 21:37:05 +0200
On Sun, May 02, 2004 at 07:27:38PM +0200, Vincent Lefevre <vincent@vinc17.org> wrote:
> greux:/home/lefevre# apt-get install subversion-tools
> [...]
> The following packages have unmet dependencies:
>   subversion-tools: Depends: python2.3-subversion (= 1.0.2-4) but 1.0.2-2 is to be installed
>                     Depends: subversion (= 1.0.2-4) but 1.0.2-2 is to be installed
> E: Broken packages
 Strange, happens here as well. David just released 1.0.2-5, so I wait
and check if that still has this problem.

Cheers,
Laszlo/GCS



Information stored:
Bug#246992; Package subversion-tools. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 246992-quiet@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: David Kimdon <david@kimdon.org>
Cc: 246992-quiet@bugs.debian.org, Vincent Lefevre <vincent@vinc17.org>
Subject: Re: Bug#246992: subversion-tools: can't be installed (dependency problem)
Date: Sun, 02 May 2004 17:45:58 -0300
David Kimdon <david@kimdon.org> writes:

> The problem is that the autobuilds haven't caught up.  I actually
> uploaded 1.0.2-5 today.  This problem will go away in a few days.

Right but katie should not upload packages that depends of newest and
non-installable versions. Since the package is of _all_ architecture,
this was installed before the rest of source package was recompiled.

IMHO, this should be reported as bug to debian-admin@l.d.o

[]s

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://www.freedom.ind.br/otavio
---------------------------------------------
"Microsoft gives you Windows ... Linux gives
 you the whole house."



Changed Bug title. Request was from David Kimdon <dwhedon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `subversion-tools' to `ftp.debian.org'. Request was from David Kimdon <dwhedon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#246992; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #29 received at 246992@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Otavio Salvador <otavio@debian.org>
Cc: David Kimdon <david@kimdon.org>, 246992@bugs.debian.org, Vincent Lefevre <vincent@vinc17.org>, control@bugs.debian.org
Subject: Re: Bug#246992: subversion-tools: can't be installed (dependency problem)
Date: Thu, 29 Jul 2004 14:32:55 +0100
severity 246992 wishlist
thanks

On Sun, May 02, 2004 at 05:45:58PM -0300, Otavio Salvador wrote:
> David Kimdon <david@kimdon.org> writes:
> > The problem is that the autobuilds haven't caught up.  I actually
> > uploaded 1.0.2-5 today.  This problem will go away in a few days.
> 
> Right but katie should not upload packages that depends of newest and
> non-installable versions. Since the package is of _all_ architecture,
> this was installed before the rest of source package was recompiled.

If you don't want to run into such problems, use testing. It's certainly
not a grave bug on ftp.debian.org that this situation occurs transiently
in unstable, although it would be nice if architecture: all .debs were
handled in a slightly more fine-grained way. (It's in the "Harder"
section of the dak TODO list.)

I was sure there was already a bug on ftp.debian.org about this, but I
can't find it at the moment.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Severity set to `wishlist'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#246992; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #36 received at 246992@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Colin Watson <cjwatson@debian.org>, 246992@bugs.debian.org
Cc: Otavio Salvador <otavio@debian.org>, David Kimdon <david@kimdon.org>, Vincent Lefevre <vincent@vinc17.org>
Subject: Re: Bug#246992: subversion-tools: can't be installed (dependency problem)
Date: Wed, 13 Jun 2007 22:28:01 +0200
On Thu, Jul 29, 2004 at 02:32:55PM +0100, Colin Watson <cjwatson@debian.org> wrote:
> severity 246992 wishlist
> thanks
> 
> On Sun, May 02, 2004 at 05:45:58PM -0300, Otavio Salvador wrote:
> > David Kimdon <david@kimdon.org> writes:
> > > The problem is that the autobuilds haven't caught up.  I actually
> > > uploaded 1.0.2-5 today.  This problem will go away in a few days.
> > 
> > Right but katie should not upload packages that depends of newest and
> > non-installable versions. Since the package is of _all_ architecture,
> > this was installed before the rest of source package was recompiled.
> 
> If you don't want to run into such problems, use testing. It's certainly
> not a grave bug on ftp.debian.org that this situation occurs transiently
> in unstable, although it would be nice if architecture: all .debs were
> handled in a slightly more fine-grained way. (It's in the "Harder"
> section of the dak TODO list.)

Note that this can also be a problem with autobuilders, which gets
packages from unstable...

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#246992; Package ftp.debian.org. (Sun, 19 Jul 2009 21:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 19 Jul 2009 21:18:02 GMT) Full text and rfc822 format available.

Message #41 received at 246992@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 246992@bugs.debian.org
Cc: Debian-Release <debian-release@lists.debian.org>
Subject: Re: arch all package available before arch any dependency
Date: Sun, 19 Jul 2009 23:13:55 +0200
Hi FTP Team

This bug of Architecture: all packages being available before not being 
built Architecture: any packages is open since 2004 and is still quite 
annoying.

Is there any plan to only update the Architecture: all packages in the 
Packages file for a particular architecture when all relevant binary 
packages of the source package are uploaded for that architecture?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#246992; Package ftp.debian.org. (Sun, 19 Jul 2009 23:27:02 GMT) Full text and rfc822 format available.

Message #44 received at 246992@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 246992@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: arch all package available before arch any dependency
Date: Mon, 20 Jul 2009 01:22:10 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 19, 2009 at 11:13:55PM +0200, Luk Claes wrote:
> This bug of Architecture: all packages being available before not being  
> built Architecture: any packages is open since 2004 and is still quite  
> annoying.
>
> Is there any plan to only update the Architecture: all packages in the  
> Packages file for a particular architecture when all relevant binary  
> packages of the source package are uploaded for that architecture?

With relevant ~= \exists an architecture-dependent binary package
from the given (source, version) tuple.

But I guess the answer is "send a patch".  Just a guess, just a guess.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Torsten Werner <twerner@debian.org>. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 03 Nov 2009 21:45:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 03 Nov 2009 21:45:04 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <email@twerner42.de>:
You have taken responsibility. (Thu, 19 Nov 2009 23:18:03 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. (Thu, 19 Nov 2009 23:18:03 GMT) Full text and rfc822 format available.

Message #53 received at 246992-done@bugs.debian.org (full text, mbox):

From: Torsten Werner <email@twerner42.de>
To: Daniel Schepler <dschepler@gmail.com>, 557155-quiet@bugs.debian.org, 246992-done@bugs.debian.org
Subject: Re: Bug#557155: ftp.debian.org: Sources file has duplicate entries
Date: Fri, 20 Nov 2009 00:14:23 +0100
[Message part 1 (text/plain, inline)]
Hi,

Daniel Schepler schrieb:
> This is messing up some scripts I'm running locally which expect that
> the Sources file has only one entry for each source package.

that's a feature not a bug. Please see
<http://twerner.blogspot.com/2009/11/dak-dominate-will-dodadoda-debian.html>
for more information. We could exclude older source packages from the
Sources file but why? It should be easy to download all available source
packages through apt-get source. I suggest that you fix your scripts.

Cheers,
Torsten
[email.vcf (text/x-vcard, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Dec 2009 07:37:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:47:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.